Status: Resolved
Priority: Normal
Assignee: Chris Roberts
Category: Foreman modules

Target version:

Difficulty: easy Fixed in Releases:
Triaged: No Found in Releases:
Bugzilla link: 1578470 Red Hat JIRA:
Pull request: https://github.com/theforeman/puppet-qpi

d/pull/98
Description

Right now, the gdrouterd "hellointerval" and "helloMaxAge" settings are set to 1 sec and 3 sec by default. This can cause issues on
networks with sporadic issues, or if a system pauses temporarily (for example, migrating a VM running a capsule to a new
hypervisor). Qdrouterd will eventually reconnect but it may make multiple attempts while waiting for network issues to resolve. In
short, gdrouterd on Satellite installations is overly sensitive to network blips by default, given that katello-agent commands sent via
amqgp are not extremely time sensitive.

These settings can be changed in gdrouterd.conf, but it requires manual editing of the config file, and must be reapplied after the
installer runs.

This bug has two parts:
e allow hellolnterval and helloMaxAge to be configured via custom-hiera.yaml
¢ investigate if we should bump helloInterval and helloMaxAge to a higher default in Satellite. The default "accept timeout" for
katello-agent in the satellite settings page is 20 seconds, so perhaps helloMaxAge of 15 is a good number to allow gdrouterd to

drop and reconnect at least once.

https://access.redhat.com/solutions/3440201 has more info on this.

Version-Release number of selected component (if applicable): 6.3.1

Steps to Reproduce:

1. run satellite with one capsule on a VM

2. pause and unpause VM quickly, or suspend/unsuspend qdrouterd process
3. check if gdrouterd connection was dropped

Actual results:

qdrouterd connection dropped

Expected results:

gdrouterd connection not dropped

Associated revisions

Revision 54cffbe9 - 07/27/2018 01:51 PM - Chris Roberts

Fixes #24415 - Add hello interval/max_age params to qdrouterd.

History

#1 - 07/26/2018 08:28 PM - Chris Roberts

Until there are hiera configurable parameters, follow this KCS:

https://access.redhat.com/solutions/3440201
https://access.redhat.com/solutions/3440201

#2 - 07/26/2018 08:32 PM - Chris Roberts
- Status changed from New to Ready For Testing

#3 - 07/27/2018 04:23 PM - Chris Roberts
- Status changed from Ready For Testing to Resolved

- Pull request https://github.com/theforeman/puppet-qpid/pull/98 added
